Payments
Disputes Create
Create a new dispute.
Authorization
oauth2 disputes:writeAuthorizationBearer <token>
Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123
In: header
Scope: disputes:write
Header Parameters
X-29next-API-Version*string
Default
"2023-02-10"Value in
"2023-02-10"amount?|
Match
^-?\d{0,6}(?:\.\d{0,2})?$Format
decimalarn?|
case_number?|
currency?|
happened_at?string
Format
date-timemetadata?|
resolution?|
could_not_find_order- Transaction Not founddeclined_or_canceled_nothing_to_do- Nothing To Doissued_full_refund- Issued Full Refundissued_refund_for_remaining_amount- Refunded Remaining Amount3ds_authorized_successfully- Transaction 3DS Authorizedpreviously_refunded_nothing_to_do- Previously Refundedunable_to_refund_merchant_account_closed- Unable to Refundwon- Wonlost- Lostaccepted- Acceptedother- Other
Value in
"could_not_find_order" | "declined_or_canceled_nothing_to_do" | "issued_full_refund" | "issued_refund_for_remaining_amount" | "3ds_authorized_successfully" | "previously_refunded_nothing_to_do" | "unable_to_refund_merchant_account_closed" | "won" | "lost" | "accepted" | "other" | "" | nullresolution_other_message?|
transaction?|
type?string
alert- Alertchargeback- Chargeback
Value in
"alert" | "chargeback"Response Body
application/json
curl -X POST "https://example.29next.store/api/admin/disputes/" \
-H "X-29next-API-Version: 2023-02-10" \
-H "Authorization: Bearer " \
-H "Content-Type: application/json" \
-d '{}'{
"amount": "string",
"arn": "string",
"case_number": "string",
"currency": "string",
"date_created": "2019-08-24T14:15:22Z",
"happened_at": "2019-08-24T14:15:22Z",
"id": 0,
"metadata": {},
"order": 0,
"report_amount": "string",
"report_currency": "string",
"resolution": "could_not_find_order",
"resolution_other_message": "string",
"status": "new",
"transaction": 0,
"type": "alert"
}